> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://commify.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://commify.ferndocs.com/_mcp/server.

# Get all templates (v2)

GET http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/templates

Reference: https://commify.ferndocs.com/api-reference/templates/get-all-templates-v-2

## Authentication

- `X-API-Key` header (required) — Your Commify API key.

## Request

### Query parameters

- `PageSize` (string, optional)
- `PageNo` (string, optional)
- `SortBy` (string, optional)
- `SortOrder` (string, optional)
- `Search` (string, optional)
- `CreatedStartDate` (datetime, optional)
- `CreatedEndDate` (datetime, optional)
- `Tags` (string, optional)
- `Channel` (string, optional)
- `TemplateType` (string, optional)

### Headers

- `AccountReference` (string, required) — Mandatory AccountReference header

## Response

### 200

OK

- `data` (GetAllTemplatesV2Response, optional, nullable)
- `errors` (list of ErrorDto, optional, nullable)

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of ErrorDto, optional, nullable)

## Types

### GetAllTemplatesV2Response

- `templates` (list of GetAllTemplatesV2ResponseTemplatesItems, optional)
- `totalCount` (GetAllTemplatesV2ResponseTotalCount, optional)
- `currentPage` (GetAllTemplatesV2ResponseCurrentPage, optional)
- `totalPages` (GetAllTemplatesV2ResponseTotalPages, optional)

### ErrorDto

- `errorCode` (string, required)
- `errorMessage` (string, required)
- `metadata` (map from string to string, optional, nullable)

### GetAllTemplatesV2ResponseTemplatesItems

- `id` (string, optional)
- `createTimestamp` (datetime, optional)
- `lastUpdateTimestamp` (datetime, optional)
- `name` (string, optional, nullable)
- `content` (string, optional, nullable)
- `accountReference` (string, optional, nullable)
- `createdBy` (string, optional)
- `lastUpdatedBy` (string, optional)
- `type` (enum, optional)
  - Allowed values: `None`, `Text`, `RichCard`, `Media`
- `messageType` (enum, optional)
  - Allowed values: `None`, `MarketingAndResearch`, `NotificationsAndReminders`, `AuthenticationAndSecurity`, `PaymentsAndCollections`, `InternalOperations`, `CustomerSupport`, `Unknown`
- `channelSettings` (list of GetAllTemplatesV2ResponseTemplatesItemsChannelSettingsItems, optional, nullable)
- `variables` (list of GetAllTemplatesV2ResponseTemplatesItemsVariablesItems, optional)
- `isLocked` (boolean, optional)
- `tags` (list of GetAllTemplatesV2ResponseTemplatesItemsTagsItems, optional)

### GetAllTemplatesV2ResponseTotalCount

### GetAllTemplatesV2ResponseCurrentPage

### GetAllTemplatesV2ResponseTotalPages

### GetAllTemplatesV2ResponseTemplatesItemsChannelSettingsItems

- `channel` (enum, optional)
  - Allowed values: `None`, `Sms`, `Rcs`, `Whatsapp`
- `settings` (string, optional, nullable)

### GetAllTemplatesV2ResponseTemplatesItemsVariablesItems

- `key` (string, optional, nullable)

### GetAllTemplatesV2ResponseTemplatesItemsTagsItems

- `id` (string, optional)
- `text` (string, optional, nullable)

## Examples

**Response**

```json
{
  "data": null,
  "errors": null
}
```

**SDK Code**

```python
import requests

url = "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/templates"

headers = {
    "AccountReference": "AccountReference",
    "X-API-Key": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/templates';
const options = {
  method: 'GET',
  headers: {AccountReference: 'AccountReference', 'X-API-Key': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/templates"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("AccountReference", "AccountReference")
	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/templates")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)
request["AccountReference"] = 'AccountReference'
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/templates")
  .header("AccountReference", "AccountReference")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/templates', [
  'headers' => [
    'AccountReference' => 'AccountReference',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/templates");
var request = new RestRequest(Method.GET);
request.AddHeader("AccountReference", "AccountReference");
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "AccountReference": "AccountReference",
  "X-API-Key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/templates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```